version: '3.8'

services:

  test:
    image: traefik/whoami
    networks:
      - proxy
    deploy:
      labels:
        - "traefik.enable=true"
        - "traefik.http.services.test.loadbalancer.server.port=80"
        # TLS
        - "traefik.http.routers.test.tls=true"
        - "traefik.http.routers.test.tls.certresolver=letsencrypt"
        - "traefik.http.routers.test.rule=Host(`test.falcorocks.com`)"
        - "traefik.http.routers.test.entrypoints=web-secured"

networks:
  proxy:
    name: 'proxy'
    external: true
